Batch Lookup Users

List users with optional filtering by IDs, with pagination.

If user_ids are provided, filters to only those users. Otherwise returns all accessible users. Results are filtered by group permissions - users must share at least one group with READER+ access.

Super users can see all users.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_bystring or nullOptional
sort_orderstringOptionalformat: "^(asc|desc)$"Defaults to asc
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional>=1Defaults to 100

Request

This endpoint expects an object.
user_idslist of integers or nullOptional
Optional list of user IDs to filter by. If not provided, returns all accessible users.

Response

Successful Response
total_countinteger
pageinteger
page_sizeinteger
datalist of objects

Errors